diff --git a/kbe/src/server/loginapp/http_cb_handler.cpp b/kbe/src/server/loginapp/http_cb_handler.cpp
index 39ab14a495..bbed4c49f8 100644
--- a/kbe/src/server/loginapp/http_cb_handler.cpp
+++ b/kbe/src/server/loginapp/http_cb_handler.cpp
@@ -310,7 +310,9 @@ int HTTPCBHandler::handleInputNotification(int fd)
 			if(hellomessage.size() > 0 && client.state < 2)
 			{
 				KBEngine::strutil::kbe_replace(hellomessage, "${backlink}", fmt::format("http://{}:{}/{}{}", 
-					Loginapp::getSingleton().networkInterface().extTcpAddr().ipAsString(),
+					(strlen((const char*)&g_kbeSrvConfig.getLoginApp().externalAddress) > 0 ? 
+					g_kbeSrvConfig.getLoginApp().externalAddress : 
+					Loginapp::getSingleton().networkInterface().extTcpAddr().ipAsString()),
 					g_kbeSrvConfig.getLoginApp().http_cbport,
 					keys,
 					code));
